<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: t(:label_repository) %>

<% is_creation_form = @repository.nil? || @repository.new_record? %>
<%= form_for :repository,
             url: { controller: '/repositories',
                    action: is_creation_form ? 'create' : 'update',
                    project_id: @project },
             method: is_creation_form ? 'POST' : 'PUT',
             builder: TabularFormBuilder,
             html: { class: 'form' } do |f| %>

  <fieldset
    class="form--fieldset -with-control"
    data-controller="repository-settings"
    data-application-target="dynamic"
  >
    <legend class="form--fieldset-legend">
      <%= t(:label_available_project_repositories) %>
    </legend>

    <%= error_messages_for 'repository' %>
    <div class="form--field -required">
      <%= label_tag('scm_vendor', t('repositories.scm_vendor'), class: "form--label") %>
      <div class="form--field-container">
        <div class="form--select-container -middle">
          <%= scm_vendor_tag(@repository) %>
        </div>
      </div>
    </div>

    <%# Show (selected) type options %>
    <% unless @repository.nil? %>
      <%= render partial: "projects/settings/repository/vendor_form",
                 locals: { form: f, repository: @repository } %>
    <% end %>

    <%# Allow plugins to add additional information %>
    <%= call_hook :repository_settings_fields, repository: @repository, form: f %>

    <%# Hide the save button for existing managed repositories %>
    <% if show_settings_save_button?(@repository) %>
      <%= render partial: "projects/settings/repository/submit",
                 locals: { form: f, is_creation_form: is_creation_form, project: @project } %>
    <% end %>
  </fieldset>
<% end %>
